Bug 1279937 - Applet seems to be crashing in nma_clear_icon
Applet seems to be crashing in nma_clear_icon
Product: Fedora
Classification: Fedora
Component: network-manager-applet (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
: 1284671 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2015-11-10 09:27 EST by Zdenek Kabelac
Modified: 2017-08-08 08:23 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-08-08 08:23:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 762421 None None None 2016-02-29 14:33 EST

  None (edit)
Description Zdenek Kabelac 2015-11-10 09:27:02 EST
Description of problem:

I'm running system with xfce desktop.

Recent release of nm-applet seems to often crash with this backtrace:

#0  0x00007ff990b700bd in g_type_check_instance_is_fundamentally_a (type_instance=type_instance@entry=0x55f22629c61b, fundamental_type=fundamental_type@entry=80) at gtype.c:4033
#1  0x00007ff990b4f7e7 in g_object_unref (_object=0x55f22629c61b) at gobject.c:3076
#2  0x000055f224654707 in nma_clear_icon (icon=icon@entry=0x55f22630ee88, applet=applet@entry=0x55f22630edb0 [GtkIconTheme]) at applet.c:3058
#3  0x000055f22465537e in nma_icons_reload (applet=<optimized out>) at applet.c:3068
#4  0x000055f22465537e in nma_icons_reload (applet=0x55f22630edb0 [GtkIconTheme]) at applet.c:3113
#8  0x00007ff990b6688f in <emit signal ??? on instance 0x55f22630edb0 [GtkIconTheme]> (instance=<optimized out>, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3439
    #5  0x00007ff990b4a995 in g_closure_invoke (closure=0x55f226626ad0, return_value=return_value@entry=0x0, n_param_values=1, param_values=param_values@entry=0x7ffe634639d0, invocation_hint=invocation_hint@entry=0x7ffe63463950)
    at gclosure.c:801
    #6  0x00007ff990b5d511 in signal_emit_unlocked_R (node=node@entry=0x55f226339db0, detail=detail@entry=0, instance=instance@entry=0x55f22630edb0, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7ffe634639d0) at gsignal.c:3627
    #7  0x00007ff990b664c0 in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=var_args@entry=0x7ffe63463b90) at gsignal.c:3383
#9  0x00007ff992731cca in theme_changed_idle (user_data=<optimized out>) at gtkicontheme.c:770
#10 0x00007ff9922795d8 in gdk_threads_dispatch (data=0x55f226474da0) at gdk.c:720
#11 0x00007ff99064607a in g_main_context_dispatch (context=0x55f2262bf480) at gmain.c:3154
#12 0x00007ff99064607a in g_main_context_dispatch (context=context@entry=0x55f2262bf480) at gmain.c:3769
#13 0x00007ff990646410 in g_main_context_iterate (context=0x55f2262bf480, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3840
#14 0x00007ff990646732 in g_main_loop_run (loop=0x55f2262978d0) at gmain.c:4034
#15 0x000055f22465454d in main (argc=1, argv=0x7ffe63463ec8) at main.c:84

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 1 Jirka Klimes 2015-11-24 02:53:54 EST
*** Bug 1284671 has been marked as a duplicate of this bug. ***
Comment 2 Jan Kurik 2016-02-24 08:56:09 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
Comment 4 Fedora End Of Life 2017-07-25 15:28:04 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-08-08 08:23:00 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.